import request from '@/router/axios'

export function fetchList(query) {
  return request({
    url: '/admin/user/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj) {
  return request({
    url: '/admin/user',
    method: 'post',
    data: obj
  })
}

export function delObj(id) {
  return request({
    url: '/admin/user/' + id,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/admin/user',
    method: 'put',
    data: obj
  })
}

// 页面加载时获取登录人tab
export function getTab(query) {
  return request({
    url: '/admin/user/getLoginBackend',
    method: 'get',
    params: query
  })
}

// 获取部门树
export function userDeptTree(query) {
  return request({
    url: '/admin/user/deptTree',
    method: 'get',
    params: query
  })
}
// 获取公司角色列表
export function getRoleByOrgCode(query) {
  return request({
    url: '/admin/role/getRoleByOrgCode',
    method: 'get',
    params: query
  })
}

// 用户管理
// 获取当前人的所有楼盘
export function queryHouseByUsername(query) {
  return request({
    url: '/autoSR/zkhouse/queryHouseByUsername',
    method: 'get',
    params: query
  })
}
//获取当前用户信息
export function getUserMsg(query) {
  return request({
    url: '/admin/user/getUser',
    method: 'get',
    params: query
  })
}
// 用户批量删除
export function userDelByIds(query) {
  return request({
    url: '/admin/user/delByIds',
    method: 'delete',
    params: query
  })
}
// 获取公司列表
export function deptGetOrgList(query) {
  return request({
    url: '/admin/dept/getOrgList',
    method: 'get',
    params: query
  })
}
// 获取公司下的角色
export function roleList(query) {
  return request({
    url: '/admin/role/list',
    method: 'get',
    params: query
  })
}
// 获取身份列表
export function getAllUserRoleType(query) {
  return request({
    url: 'admin/user/getAllUserRoleType',
    method: 'get',
    params: query
  })
}
// 添加角色
export function addUserMsg(data) {
  return request({
    url: '/admin/user',
    method: 'post',
    data
  })
}
// 修改角色
export function editUserMsg(data) {
  return request({
    url: '/admin/user',
    method: 'put',
    data
  })
}
// 密码重置
export function resetPassword(data) {
  return request({
    url: '/admin/user/resetPassword',
    method: 'post',
    data
  })
}
// 客户手机号显隐
export function updateShowPhoneStatus(data) {
  return request({
    url: '/admin/user/updateShowPhoneStatus',
    method: 'post',
    data
  })
}

// 角色管理

export function roleDelIds(query) {
  return request({
    url: '/admin/role/delIds',
    method: 'delete',
    params: query
  })
}

// 部门管理

//部门添加
export function deptAddOrg(data) {
  return request({
    url: '/admin/dept/addOrg',
    method: 'post',
    data
  })
}
//部门编辑
export function deptUpdateOrgTree(data) {
  return request({
    url: '/admin/dept/updateOrgTree',
    method: 'post',
    data
  })
}

//部门删除
export function deptDelOrg(data) {
  return request({
    url: '/admin/dept/delOrg',
    method: 'post',
    data
  })
}
